export declare const fluentEditorProps: {
    _constants: {
        type: ObjectConstructor;
        default: () => {
            PIC_PREVIEW_OPTIONS: {
                zIndex: number;
                urlList: null;
            };
            EDITOR_FULLSCREEN_OPTIONS: number;
        };
    };
    content: StringConstructor;
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    fileUpload: ObjectConstructor;
    globalOptions: {
        type: ObjectConstructor;
        required: boolean;
        default: () => {};
    };
    imageUpload: ObjectConstructor;
    mentionObj: {
        type: ObjectConstructor;
        required: boolean;
        default: () => {};
    };
    modelValue: StringConstructor;
    options: {
        type: ObjectConstructor;
        required: boolean;
        default: () => {};
    };
    picPreview: (ObjectConstructor | BooleanConstructor)[];
    dataType: {
        type: BooleanConstructor;
        default: boolean;
    };
    dataUpgrade: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    imagePasteFailCallback: {
        type: FunctionConstructor;
        default: () => void;
    };
    beforeEditorInit: {
        type: FunctionConstructor;
        default: () => void;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_mcp_config: ObjectConstructor;
    tiny_chart_theme: ObjectConstructor;
};
declare const _default: any;
export default _default;
